summaryrefslogtreecommitdiffstats
path: root/abs/core/linhes-scripts/linhes_update2.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2011-10-08 02:16:18 (GMT)
committerBritney Fransen <brfransen@gmail.com>2011-10-08 02:16:18 (GMT)
commit7a6080609ec0be6d9f62b8890f9eacbd8e053273 (patch)
treeb0f1a509c5ed82fcca90a349a503438f7ab2954b /abs/core/linhes-scripts/linhes_update2.sh
parent04949a18e6ea4a313d101911dcdc689d029ddcb1 (diff)
downloadlinhes_pkgbuild-7a6080609ec0be6d9f62b8890f9eacbd8e053273.zip
linhes_pkgbuild-7a6080609ec0be6d9f62b8890f9eacbd8e053273.tar.gz
linhes_pkgbuild-7a6080609ec0be6d9f62b8890f9eacbd8e053273.tar.bz2
linhes-scripts: linhes_update scripts: update osd_cat to use osd_cat.cfg settings
Diffstat (limited to 'abs/core/linhes-scripts/linhes_update2.sh')
-rw-r--r--abs/core/linhes-scripts/linhes_update2.sh18
1 files changed, 15 insertions, 3 deletions
diff --git a/abs/core/linhes-scripts/linhes_update2.sh b/abs/core/linhes-scripts/linhes_update2.sh
index 80945eb..ea675d7 100644
--- a/abs/core/linhes-scripts/linhes_update2.sh
+++ b/abs/core/linhes-scripts/linhes_update2.sh
@@ -1,12 +1,24 @@
#!/bin/bash
+
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
+
killall -9 osd_cat
-echo -e "Performing updates." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 300000 -A centre &
+echo -e "Updating..." | osd_cat --pos=middle --align=center --delay=300000 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
sudo pacman -Suf --noconfirm && sudo killall -9 osd_cat
if grep -q Check\ for\ updates /usr/share/mythtv/themes/defaultmenu/linhes.xml
then
rm -fr /tmp/to_be_upgraded
killall -9 osd_cat
-echo -e "Update complete." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 5 -A centre
+echo -e "\nUpdate complete." | osd_cat --pos=middle --align=center --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
else
mv /usr/share/mythtv/themes/defaultmenu/linhes.xml /tmp/linhes.xml.tmp
sed -e '/\#UpdatesAv/,/\#UpdatesAv/d' < /tmp/linhes.xml.tmp > /usr/share/mythtv/themes/defaultmenu/linhes.xml
@@ -24,5 +36,5 @@ echo "</mythmenu>" >> /tmp/linhes.xml.tmp
mv /tmp/linhes.xml.tmp /usr/share/mythtv/themes/defaultmenu/linhes.xml
rm -fr /tmp/to_be_upgraded
killall -9 osd_cat
-echo -e "Update complete." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 5 -A centre
+echo -e "\nUpdate complete." | osd_cat --pos=middle --align=center --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
fi